///////////////////////////////////////////////////////////////
//QtConstruction
//Maemo Codecamp 2010
//Jukka Stranden & Marko Suhonen
///////////////////////////////////////////////////////////////
//
//Shows different event types for events
//////////////////////////////////////////////////////////////
#ifndef ADDDIALOG_H
#define ADDDIALOG_H

#include <QDialog>
#include <QModelIndex>
#include "meventmodel.h"
#include "mevent.h"
#include "choosedatesdialog.h"

namespace Ui {
    class AddDialog;
}

class AddDialog : public QDialog
{
    Q_OBJECT

public:
    explicit AddDialog( MEventModel* aEventModel,
                        MEvent* aEvent,
                        QWidget *parent = 0 );
    ~AddDialog();

private slots:

    void addEventType(QModelIndex aEventType );
private:
    Ui::AddDialog *ui;
    MEventModel* mEventModel;
    MEvent* mEvent;
};

#endif // ADDDIALOG_H
