///////////////////////////////////////////////////////////////
//QtConstruction
//Maemo Codecamp 2010
//Jukka Stranden & Marko Suhonen
///////////////////////////////////////////////////////////////
//
//Shows calendar for user to select date for the event. Dates
//that have gone cannot be selected.
//////////////////////////////////////////////////////////////
#ifndef CHOOSEDATESDIALOG_H
#define CHOOSEDATESDIALOG_H

#include <QDialog>
#include <QModelIndex>
#include <QDate>
#include "mevent.h"

namespace Ui {
    class ChooseDatesDialog;
}

class ChooseDatesDialog : public QDialog
{
    Q_OBJECT

public:
    explicit ChooseDatesDialog(MEvent* aEvent,
                               QWidget *parent = 0);
    ~ChooseDatesDialog();

private slots:
    void addEventType(QModelIndex aEventType);
    void goToCreateEventDialog(QDate aDate);

private:
    Ui::ChooseDatesDialog *ui;
    MEvent* mEvent;
};

#endif // CHOOSEDATESDIALOG_H
