#include "event.h"

Event::Event()
{
}

Event::~Event()
{

}


void Event::setStartTime(const int aHour)
{
    mStartHour = aHour;
}


void Event::setEndTime(const int aHour)
{
    mEndHour = aHour;
}


void Event::setTime(const int aStartHour, const int aEndHour)
{
    mStartHour = aStartHour;
    mEndHour = aEndHour;
}

void Event::setDate(const QDate aDate)
{
    mDate = aDate;
}

void Event::setEventLocation(const QString aAddress)
{
    mEventLocation = aAddress;
}


void Event::setEventType(const QModelIndex aEventType)
{
    mEventType = aEventType;
}


int Event::endTime() const
{
    return mEndHour;
}

int Event::startTime() const
{
    return mStartHour;
}


QDate Event::date() const
{
    return mDate;
}

QString Event::eventLocation( ) const
{
    return mEventLocation;
}

QModelIndex Event::eventType( ) const
{
    return mEventType;
}
