#include "eventmodel.h"

EventModel::EventModel( QStandardItemModel* aModel )
{
    if(aModel)
        mModel = aModel;
    else
        mModel = new QStandardItemModel();
}


EventModel::~EventModel()
{
    delete mModel;
}


int EventModel::addEvent(const QIcon icon, const QString &aName)
{
    QStandardItem* item = new QStandardItem(icon,aName);
    mModel->appendRow(item);

    return ENoError;
}

QStandardItemModel* EventModel::model( )
{
    return mModel;
}
