///////////////////////////////////////////////////////
//QtConstruction
//Maemo Codecamp 2010
//Jukka Stranden & Marko Suhonen
//////////////////////////////////////////////////////
//
//Implements event type list using QStandardItemModel
//////////////////////////////////////////////////////
#ifndef EVENTMODEL_H
#define EVENTMODEL_H

#include "meventmodel.h"
#include <QStandardItemModel>
#include <QStandardItem>
#include <QModelIndex>

class EventModel: public MEventModel
{
public:
    EventModel( QStandardItemModel* model = 0 );
    ~EventModel();

    int addEvent(QIcon icon, const QString &aName);
    QStandardItemModel* model();

private:

    //Event types are stored in model which can be given
    //to different view objects
    QStandardItemModel* mModel;
};

#endif // EVENTMODEL_H
