//////////////////////////////////////////
//QtConstruction
//Maemo Codecamp 2010
//Jukka Stranden & Marko Suhonen
//////////////////////////////////////////
//
//Shows mainwindow of the application
//////////////////////////////////////////
#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include "eventmodel.h"
#include "eventstorage.h"
#include "mevent.h"
#include <QDebug>

namespace Ui {
    class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

private slots:

    //Slot for when add button is clicked. Launches
    //AddViewDialog
    void addButtonClicked();

    //Slot for when view button is clicked. Launches
    //ViewDialog
    void viewButtonClicked();
private:

    //Updates events in today panel
    void updateTodayPanel();

    Ui::MainWindow *ui;

    //Event storage for events
    EventStorage mEventStorage;

    //Event type storage
    MEventModel* mEventModel;


};

#endif // MAINWINDOW_H
