//////////////////////////////////////////
//QtConstruction
//Maemo Codecamp 2010
//Jukka Stranden & Marko Suhonen
//////////////////////////////////////////
//
//Interface class for adding event types.
//Implementations of event type models are
//accessed through this interface
//////////////////////////////////////////
#ifndef MEVENTMODEL_H
#define MEVENTMODEL_H
#include <QIcon>
#include <QString>

class QStandardItemModel;
class MEventModel
{
public:
    enum Errors
    {
        ENoError = 0
    };

    virtual ~MEventModel(){ }

    //Adds event type to the model
    virtual int addEvent(QIcon icon, const QString& aName ) = 0;

    //Returns pointer to the model
    virtual QStandardItemModel* model() = 0;


};

#endif // MEVENTMODEL_H
