//////////////////////////////////////////////////////
//QtConstruction
//Maemo Codecamp 2010
//Jukka Stranden & Marko Suhonen
//////////////////////////////////////////////////////
//
//Shows calendar and paints the event days with green
//////////////////////////////////////////////////////
#ifndef VIEWDIALOG_H
#define VIEWDIALOG_H
#include <QGeoPositionInfo>
#include <QGeoPositionInfoSource>
#include <QDialog>
#include <QPointer>
#include  "meventmodel.h"

class EventStorage;
namespace Ui {
    class ViewDialog;
}

class ViewDialog : public QDialog
{
    Q_OBJECT

public:
    explicit ViewDialog(EventStorage* aEventStorage, QWidget *parent = 0 );
    ~ViewDialog();
public slots:
    //void positionUpdated(QGeoPositionInfo geoPositionInfo);
private:
    Ui::ViewDialog *ui;
   // void startGPS();
    void fillCalendar(EventStorage* aEventStorage);
private slots:
    void viewDay(QDate date);
private:

    //Pointer to event storage class (member variable of
    //MainWindow)
    EventStorage * mEventStorage;
};

#endif // VIEWDIALOG_H
